package com.jisco.dynamicweight.dynamicworkupdata.vo;

import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

public class DailyReportVO {
    @ApiModelProperty(value="物料名称",required=false)
    private String materialName;
    @ApiModelProperty(value="站点名称",required=false)
    private String stationName;
    @ApiModelProperty(value="收货库房",required=false)
    private String recieverName;
    @ApiModelProperty(value="发货库房",required=false)
    private String senderName;
    @ApiModelProperty(value="8:00",required=false)
    private BigDecimal bl8;
    @ApiModelProperty(value="16:00",required=false)
    private BigDecimal bl16;
    @ApiModelProperty(value="24:00",required=false)
    private BigDecimal bl24;
    @ApiModelProperty(value="日累计量",required=false)
    private BigDecimal rzl;
    @ApiModelProperty(value="月累计量",required=false)
    private BigDecimal yzl;
    @ApiModelProperty(value="年累计量",required=false)
    private BigDecimal nzl;

    public String getMaterialName() {
        return materialName;
    }

    public void setMaterialName(String materialName) {
        this.materialName = materialName;
    }

    public String getStationName() {
        return stationName;
    }

    public void setStationName(String stationName) {
        this.stationName = stationName;
    }

    public String getRecieverName() {
        return recieverName;
    }

    public void setRecieverName(String recieverName) {
        this.recieverName = recieverName;
    }

    public String getSenderName() {
        return senderName;
    }

    public void setSenderName(String senderName) {
        this.senderName = senderName;
    }

    public BigDecimal getBl8() {
        return bl8;
    }

    public void setBl8(BigDecimal bl8) {
        this.bl8 = bl8;
    }

    public BigDecimal getBl16() {
        return bl16;
    }

    public void setBl16(BigDecimal bl16) {
        this.bl16 = bl16;
    }

    public BigDecimal getBl24() {
        return bl24;
    }

    public void setBl24(BigDecimal bl24) {
        this.bl24 = bl24;
    }

    public BigDecimal getRzl() {
        return rzl;
    }

    public void setRzl(BigDecimal rzl) {
        this.rzl = rzl;
    }

    public BigDecimal getYzl() {
        return yzl;
    }

    public void setYzl(BigDecimal yzl) {
        this.yzl = yzl;
    }

    public BigDecimal getNzl() {
        return nzl;
    }

    public void setNzl(BigDecimal nzl) {
        this.nzl = nzl;
    }

    @Override
    public String toString() {
        return "DailyReportVO{" +
                "materialName='" + materialName + '\'' +
                ", stationName='" + stationName + '\'' +
                ", recieverName='" + recieverName + '\'' +
                ", senderName='" + senderName + '\'' +
                ", bl8=" + bl8 +
                ", bl16=" + bl16 +
                ", bl24=" + bl24 +
                ", rzl=" + rzl +
                ", yzl=" + yzl +
                ", nzl=" + nzl +
                '}';
    }
}
